%define upstream_name    SQL-Maker
%define upstream_version 1.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Insert multiple rows at once on MySQL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Lite) >= 0.50.0
BuildRequires: perl(Clone)
BuildRequires: perl(DBI)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Module::Load)
BuildRequires: perl(SQL::QueryMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
SQL::Maker is yet another SQL builder class. It is based on the
DBIx::Skinny manpage's SQL generator.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Nov 04 2022 tv <tv> 1.220.0-1.mga9
+ Revision: 1902555
- update to 1.22

* Sun Mar 20 2022 umeabot <umeabot> 1.210.0-6.mga9
+ Revision: 1805772
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.210.0-5.mga8
+ Revision: 1497200
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.210.0-4.mga7
+ Revision: 1271217
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.210.0-3.mga6
+ Revision: 1033330
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.210.0-2.mga6
+ Revision: 966374
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 1.210.0-1.mga6
+ Revision: 843618
- update to 1.21

* Wed Oct 15 2014 umeabot <umeabot> 1.200.0-3.mga5
+ Revision: 746327
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.200.0-2.mga5
+ Revision: 686142
- Mageia 5 Mass Rebuild

* Fri Aug 01 2014 sander85 <sander85> 1.200.0-1.mga5
+ Revision: 659085
- update to 1.20

* Sun Jul 27 2014 sander85 <sander85> 1.180.0-1.mga5
+ Revision: 657503
- update to 1.18

* Mon Jun 16 2014 sander85 <sander85> 1.170.0-1.mga5
+ Revision: 637639
- update to 1.17

* Wed Jun 04 2014 sander85 <sander85> 1.160.0-1.mga5
+ Revision: 633023
- update to 1.16

* Tue Apr 15 2014 jquelin <jquelin> 1.150.0-1.mga5
+ Revision: 614970
- update to 1.15

* Thu Mar 13 2014 jquelin <jquelin> 1.140.0-1.mga5
+ Revision: 602998
- update to 1.14

* Mon Feb 10 2014 jquelin <jquelin> 1.130.0-1.mga5
+ Revision: 588635
- update to 1.13
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 1.120.0-1.mga4
+ Revision: 447085
- update to 1.12

* Wed May 29 2013 shlomif <shlomif> 1.110.0-1.mga4
+ Revision: 432821
- update to 1.11

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 372437
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 1.100.0-1.mga3
+ Revision: 338095
- update to 1.10

* Thu Dec 13 2012 shlomif <shlomif> 1.90.0-1.mga3
+ Revision: 330289
- update to 1.09

* Tue Sep 25 2012 kharec <kharec> 1.70.0-1.mga3
+ Revision: 297436
- update to 1.07

* Mon Sep 17 2012 kharec <kharec> 1.60.0-1.mga3
+ Revision: 294865
- New CPAN version 1.06

* Thu Feb 23 2012 kharec <kharec> 1.50.0-1.mga2
+ Revision: 212586
- update to 1.05

* Thu Feb 23 2012 kharec <kharec> 1.40.0-1.mga2
+ Revision: 212554
- imported package perl-SQL-Maker

